# std::multimap::find

From cppreference.com
< cpp‎ | container‎ | multimap

iterator find( const Key& key ); | (1) |
const_iterator find( const Key& key ) const; | (2) |
template< class K > iterator find( const K& x ); | (3) | (since C++14)
template< class K > const_iterator find( const K& x ) const; | (4) | (since C++14)

1,2) Finds an element with key equivalent to `key`. If there are several elements with `key` in the container, any of them may be returned.
3,4) Finds an element with key that compares equivalent to the value `x`. This overload only participates in overload resolution if the qualified-id Compare::is_transparent is valid and denotes a type. It allows calling this function without constructing an instance of `Key`

### Parameters

key | - | key value of the element to search for
x | - | a value of any type that can be transparently compared with a key

### Return value

Iterator to an element with key equivalent to `key`. If no such element is found, past-the-end (see end()) iterator is returned.

### Complexity

Logarithmic in the size of the container.

### Example

Run this code

    #include <iostream>
    #include <map>

    int main()
    {
        std::multimap<int,char> example = {{1,'a'},{2,'b'}};

        auto search = example.find(2);
        if(search != example.end()) {
            std::cout << "Found " << search->first << " " << search->second << '\n';
        }
        else {
            std::cout << "Not found\n";
        }
    }

Output:

    Found 2 b

### See also

count | returns the number of elements matching specific key (public member function)
equal_range | returns range of elements matching a specific key (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/multimap/find&oldid=50584"